require "rails_helper"

RSpec.describe MailHelper, type: :helper do
  describe "#mail_to_for_multiple_edls" do
    it "generates a mailto link with the project info" do
      project = build(:project, name: "Test Project", account: build(:account, name: "Test Account"))

      link = CGI.unescape helper.mail_to_for_multiple_edls("test content", project)

      expect(link).to match "test content"
      expect(link).to match "info@bigmedia.ai"
      expect(link).to match /Multiple Adobe Premiere EDLs needed for Test Account's Test Project project/
      expect(link).to match "INSTRUCTIONS"
    end
  end
end
